unit CheckerMemoFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TCheckerMemoForm = class(TForm)
    lblMemo: TLabel;
    mmMemo: TMemo;
    btnPost: TButton;
    btnCancel: TButton;
    lblHint: TLabel;
  private
    function GetMemo: string;
    { Private declarations }

  public
    { Public declarations }
    property Memo: string read GetMemo;
    // 0 审核不通过；1 审核通过
    procedure Init(AHint: string; AType: Integer);
  end;


implementation

{$R *.dfm}

{ TCheckerMemoForm }

function TCheckerMemoForm.GetMemo: string;
begin
  Result := mmMemo.Text;
end;

procedure TCheckerMemoForm.Init(AHint: string; AType: Integer);
begin
  if AType = 0 then
  begin
    lblHint.Font.Color := clRed;
  end
  else if AType = 1 then
  begin
    lblHint.Font.Color := clGreen;
  end;

  lblHint.Caption := AHint;
  lblHint.Update;
end;

end.
